<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-agent-commission-rate-heading">Create or edit a Agent Commission Rate</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_constraint">Constraint</label>
                    <input type="text" class="form-control" name="constraint" id="field_constraint"
                           formControlName="constraint"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_commissionRate">Commission Rate</label>
                    <input type="number" class="form-control" name="commissionRate" id="field_commissionRate"
                           formControlName="commissionRate"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_type">Type</label>
                    <select class="form-control" name="type" formControlName="type" id="field_type">
                        <option value="STEP">STEP</option>
                        <option value="FIXED">FIXED</option>
                        <option value="HENLEY">HENLEY</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_comment">Comment</label>
                    <input type="text" class="form-control" name="comment" id="field_comment"
                           formControlName="comment"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
